// pages/learnSystem/question/question.js
const util = require('../../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    title:'',
    contents:'',
    type_id: '',
    list:[
      {name:'全部',value:'0'},
      {name:'教务',value:'1'},
      {name:'技术',value:'2'},
    ],
    objUrl: {},
    imgUrl:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },
  
  // 标题输入
  titleInput:function(e){
    this.setData({
      title: e.detail.value
    })
  },

  // 内容输入
  contentsInput:function(e){
    this.setData({
      contents: e.detail.value
    })
  },

  // 问题类型
  radioChange: function (e) {
    this.setData({
      type_id: e.detail.value
    })
  },
  // 选择图片
  chooseFile:function(){
    const that = this;
    wx.chooseImage({
      count: 9,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success (res) {
        // tempFilePath可以作为img标签的src属性显示图片
        const tempFiles = res.tempFiles;
        let obj = {};
        for(let i = 0;i<tempFiles.length;i++){
          obj[tempFiles[i].path] = tempFiles[i].size;
        }
        let _objUrl = that.data.objUrl;
        Object.assign(_objUrl,obj);
        console.log('res',Object.keys(_objUrl));
        that.setData({
          imgUrl: Object.keys(_objUrl),
          objUrl: _objUrl
        })
      }
    })
  },

  // 删除照片
  deleteImg:function(e){
    let _url = e.target.dataset.url;
    let _objUrl = this.data.objUrl;
    delete _objUrl[_url]
    this.setData({
      imgUrl: Object.keys(_objUrl),
      objUrl: _objUrl
    })
  },
  // 上传数据
  submit:function(){
    if(!this.data.title){
      util.showTips({title:'请输入标题'})
      return;
    }
    if(!this.data.contents){
      util.showTips({title:'请输入详细描述'})
      return;
    }
    
    if(!this.data.type_id){
      util.showTips({title:'请选择问题类型'})
      return;
    }
    const that = this;
    util.requestApi({
      url: util.config.URL_PATH1 + '/v2/feedback/commit',
      data: {
        title: that.data.title,
        contents: that.data.contents,
        type_id: that.data.type_id,
        attachments: JSON.stringify([{
          name: '',
          url: ''
        }])
      },
      method: 'POST',
      callback: function (res) {
        util.showTips({title:'提交成功',icon:'success',duration: 3000})
        that.setData({
          title: '',
          contents: '',
          type_id: ''
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})